2020-10-26 18:53 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002809NewZealandStory[All Projects] Generalpublic2016-12-27 21:28
ReporterVille Haapanen 
Assigned ToStingRayProject InfoNew Zealand Story (Taito/Ocean)
http://www.whdload.de/games/NewZealandStory.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0002809: Game exits shortly after launched before the title screen appears with
DescriptionGameVersion: english,pal,1 disk
SlaveVersion: 2.1 from 04.07.2013

Game exits shortly after launched before the title screen appears with "exception access fault"
Using latest WHDLoad 17.2 build.
Tagsaccess_fault
MachineA1200
CPU68060 + PPC
CPUSpeed60
ChipSetAGA
GFXCardVoodoo3/Mediator
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad17.1
importedyes
Attached Files
  • ? file icon .whdl_register (3,393 bytes) 2013-07-09 20:48 -
    ************************* 09-Jul-13 12:35:02 ************************17.2.5306***
    Slave='NewZealandStory.Slave' (1972 bytes)
    ShadowMem 79351580 - 79363580 (  73728) AbsolutMem    12000 -    80000 ( 450560)
    Resload   7FEB1000 - 7FEB919C (  33180) at 7FEB1000  GL=$7FEBB000
    Slave     7FEC4000 - 7FEC4790 (   1936) at 7FEC4000  BaseMemSize=$80000
    attn=FF(60,82) fc=-1 kn=10856 cs=EC4B rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Access Fault" ($4008) PC = $2AB6 Byte Read from $7FEC7644
    
    $00002a82 move.w       d0,d2
    $00002a84 lsr.w        #6,d2
    $00002a86 andi.w       #3,d0
    $00002a8a or.w         d2,d0
    $00002a8c move.w       d0,($3184)
    $00002a92 btst         #7,($bfe001)
    $00002a9a bne.b        $2aa0
    $00002a9c bset         #7,d0
    $00002aa0 move.w       d0,($3184)
    $00002aa6 move.l       (a7)+,d2                       ;$000003e0
    $00002aa8 rts
    $00002aaa movem.l      d1/a0,-(a7)                    ;$000003e0
    $00002aae moveq        #0,d0
    $00002ab0 jsr          ($7fec44ba)
    1m$00002ab6 tst.b        (a0)+                          ;$7fec7644
    22m$00002ab8 bne.w        $2aca
    $00002abc addq.w       #8,d0
    $00002abe dbf          d1,$2ab6
    $00002ac2 movem.l      (a7)+,d1/a0                    ;$000003e0
    $00002ac6 clr.w        d0
    $00002ac8 rts
    $00002aca move.b       -(a0),d1                       ;$7fec7644
    $00002acc lsr.b        #1,d1
    $00002ace bcs.w        $2ad8
    $00002ad2 addq.w       #1,d0
    $00002ad4 bra.w        $2acc
    $00002ad8 move.w       d0,d1
    $00002ada swap         d0
    $00002adc lea          ($13e4,pc),a1
    
    exception stackframe:
    $000003E0 20000000 2AB64008 7FEC7644 01250200
    regular stack:
    $000003F0 00022B5A 0000C3C0 0000B78C 00004072 60000158 60002700 60002662 60000816
    $00000410 600005F2 60002694 0000C4D0 00000000 FFFF0000 00000000 00000000 00000000
    $00000430 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $00000450 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $00000470 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        0         F        2C        24         0         0  D6D6FFFE    151FCA
    Ax 7FEC7644     22AAA    DFF000     76F62  A4A4A4A4      45C4     641B8
    
                     TTSM III   XNZVC
    PC=    2AB622m  SR %0010000000000000  USP=400  1mSSP=3E0
    VBR=7FEBC000  SFC=5  DFC=5  CACR=80008000  PCR=04300622  BUSCR=00000000
    TC=8000  URP=7FEAF000  SRP=7FEAF000
    DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%011000000010100022m dmacon=%1m0000001111100000 adkcon=$3500
    intreq=%0000000001000000
    vposr....A300  vhposr...027E  joy0dat..0101  joy1dat..0000  clxdat...8001  
    pot0dat..0588  pot1dat..0006  potinp...5500  serdatr..3800  dskbytr..8000  
    deniseid.00F8  hhposr...FF3D  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=0000000022m  ta=21FF<21FF	   cra=1m00000001  ta=   7<   A
    	    AII ROPS			    AII ROPS
    	crb=0000000022m  tb=21FF<21FF	   crb=1m11000001  tb=4B65<8BA6
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=1111110022m  prb=1m1111111122m      pra=1m1111111122m  prb=1m11111111
           ddra=0000001122m ddrb=1m0000000022m     ddra=1m1100000022m ddrb=1m11111111
           event=000066  icr=00  sdr=00    event=00013A  icr=01  sdr=00
    
    ? file icon .whdl_register (3,393 bytes) 2013-07-09 20:48 +

-Relationships
+Relationships

-Notes

note ~0003544

Wepl (manager)

same problem here, installs seems broken since 2.1

note ~0003546

StingRay (developer)

Looks like a0 is destroyed in one of the patch routines, should be an easy fix.

note ~0005416

StingRay (developer)

I have updated the patch and fixed the broken menu patch which was added in 2.1 and caused the access fault. I also fixed the copperlist problems.
+Notes

-Issue History
Date Modified Username Field Change
2013-07-09 19:56 administrator New Issue
2013-07-09 19:56 administrator Status new => assigned
2013-07-09 19:56 administrator Assigned To => Hungry Horace
2013-07-09 20:47 Ville Haapanen Tag Attached: access_fault
2013-07-09 20:48 Ville Haapanen File Added: .whdl_register
2013-12-03 23:44 Wepl Note Added: 0003544
2013-12-05 20:37 StingRay Note Added: 0003546
2016-12-27 21:28 StingRay Assigned To Hungry Horace => StingRay
2016-12-27 21:28 StingRay Status assigned => resolved
2016-12-27 21:28 StingRay Resolution open => fixed
2016-12-27 21:28 StingRay Note Added: 0005416
+Issue History